Skip to main content
GET
/
workspaces
/
{workspace_id}
/
secrets
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "keys": [
      "<string>"
    ],
    "environment": "<string>",
    "description": "<string>",
    "is_corrupted": false
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

type
enum<string>[] | null

Filter by secret type

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app

Response

Successful Response

id
string<uuid>
required
type
enum<string>
required

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app
name
string
required
keys
string[]
required
environment
string
required
description
string | null
is_corrupted
boolean
default:false